# -*- coding:utf-8-unix -*-
#
# Copyright (c) 2007 BBR Inc.
# This file and all modifications and/or additions are under 
# the same license as package itself.

%define datetag 20070831

Name: opfc-pdf-filters
Version: 0.3
Release: 1.fc7
License: See the COPYING/LICENSE file in each package. 
Group: System Environment/Daemons
Vendor:  OpenPrinting Framework Consortium
URL:	http://opfc.sourceforge.jp/
Summary: OpenPrinting Japan - PDF filters for CUPS
Requires: cups >= 1.2.12
Requires: poppler >= 0.5.4

BuildRoot: %{_tmppath}/%{name}-%{version}
Source0: cups-1.2.12-source.tar.bz2
Source1: pdftoopvp-%{datetag}.tgz
Source2: imagetopdf-%{datetag}.tgz
Source3: pdftopdf-%{datetag}.tgz
%description
This package is the part of "OpenPrinting Japan API Reference Implementation".
PDF filters for CUPS
pdftopdf : pdf page layout filter
imagetopdf : translating image to pdf filter
pdftoopvp : PDF renderer for OpenPrinting Vector API drivers.

%prep
%setup -qc -a 1 -a 2 -a 3

%build
(cd pdftoopvp/poppler-0.5.4;%configure;make)
(cd imagetopdf;autoreconf --install;%configure --with-cups-source=${RPM_BUILD_DIR}/%name-%version/cups-1.2.12;make)
(cd pdftopdf;autoreconf --install;%configure --with-poppler-source=${RPM_BUILD_DIR}/%name-%version/pdftoopvp/poppler-0.5.4;make)

%install
(cd pdftoopvp/poppler-0.5.4/pdftoopvp;make install DESTDIR=${RPM_BUILD_ROOT})
install -d ${RPM_BUILD_ROOT}/%{_sysconfdir}
(cd imagetopdf;make install DESTDIR=${RPM_BUILD_ROOT})
(cd pdftopdf;make install DESTDIR=${RPM_BUILD_ROOT})
install -d ${RPM_BUILD_ROOT}/%{_datadir}/cups/model
install pdftoopvp/ppd/* ${RPM_BUILD_ROOT}/%{_datadir}/cups/model

%clean
rm -rf $RPM_BUILD_ROOT

%post
# restart CUPS if running
/etc/init.d/cups try-restart >/dev/null 2>&1
if test "$?" = "0"; then
    :
elif type service >/dev/null 2>&1; then
    service cups condrestart >/dev/null 2>&1
fi
exit 0

%postun
# restart CUPS if running
/etc/init.d/cups try-restart >/dev/null 2>&1
if test "$?" = "0"; then
    :
elif type service >/dev/null 2>&1; then
    service cups condrestart >/dev/null 2>&1
fi
exit 0

%files
%defattr(-,root,root)
%{_libdir}/cups/filter/pdftoopvp
%{_libdir}/cups/filter/imagetopdf
%{_libdir}/cups/filter/pdftopdf
%{_datadir}/cups/model/CNLBP2810PDFTOOPVP.ppd
%{_datadir}/cups/model/Epson-LP_6500-PDFTOOPVP.ppd
%{_datadir}/doc/imagetopdf/LICENSE.txt
%{_datadir}/doc/imagetopdf/README
%{_datadir}/doc/imagetopdf/README.jp
%{_datadir}/doc/pdftopdf/README
%{_datadir}/doc/pdftopdf/README.jp
%config(noreplace) %{_sysconfdir}/cups/imagetopdf.convs
%config(noreplace) %{_sysconfdir}/cups/imagetopdf.types
%config(noreplace) %{_sysconfdir}/cups/pdf.types
%config(noreplace) %{_sysconfdir}/cups/pdftopdf.convs
%config(noreplace) %{_sysconfdir}/fonts/conf.d/99pdftoopvp.fconf
